from typing import Literal
from logging import getLogger

from babel.support import Translations

from .fn import locales

Lang = Literal[locales]  # noqa

static_translates = dict().fromkeys(locales, {})

for locale in locales:
    static_translates[locale] = Translations.load('i18n', [locale])

log = getLogger(__name__)
